#include <libterm/terminal.h>
#include <libterm/readline.h>

#include <knob/task.h>

#include "cmds.h"
#include "line.h"

void main(const char *arg) {
//syslogf("   this task: 0x%2h", this_task);
//syslogf("  stdio task: 0x%2h", stdio_task);
//syslogf("calling task: 0x%2h", calling_task);

  source(*arg ? arg : "user/default.rc");
  ensure_color();

  term_add_sz("Portland Highway\nType \"help\" for help.\n");
  term_paint();

  char cmd_buf[128];
  while (1) {
    read_line(cmd_buf, 127, "> ");
    run_line(cmd_buf);
  }
}