#ifndef LIBFONT_FONTS_H
#define LIBFONT_FONTS_H

#include <stdbool.h>
#include <stdint.h>

struct font_info {
  uint32_t space_width;
  uint32_t space_height;
  uint32_t char_width;
  uint32_t char_height;
  bool *bitmaps[256];//left to right then top to bottom
                     //null pointer for unsupported character
                     //unsupported characters drawn as bitmaps[0]
};

struct font_info *get_font(const char *name);

void put_char(const struct font_info *font, char ch, uint8_t *pb_ptr, uint32_t pb_pitch, uint8_t bg, uint8_t fg);

#endif